Bug 238261 - f7t4 rescue CD fails to mount existing partitions
Summary: f7t4 rescue CD fails to mount existing partitions
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-04-28 13:56 UTC by Ron Yorston
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 20:36:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ron Yorston 2007-04-28 13:56:51 UTC
Description of problem:

The f7t4 rescue CD fails to mount the existing partitions on my hard disks,
either read-write or read-only.  Anaconda reports the following:

File "/usr/bin/anaconda", line 87 in <module>
rescue.runRescue(anaconda, instClass)
File "/usr/lib/anaconda/rescue.py", line 297, in runRescue
disks = upgrade.findExistingRoots(anaconda, upgradeany = 1)
File "/usr/lib/anaconda/upgrade.py", line 91, in findExistingRoots
anaconda.id.diskset.openDevices()
File "/usr/lib/anaconda/partedUtils.py", line 1156, in openDevices
custom_icon="warning")
TypeError: messageWindow() got an unexpected keyword argument 'custom_buttons'
install exited abnormally

If I skip disk mounting I can see my partitions in /proc/partitions.  (Well,
most of them:  one of my disks has 20 partitions but /proc/partitions only shows
16.)  I can mount partitions by hand.


Version-Release number of selected component (if applicable):
f7t4 rescue CD


How reproducible:
always



Additional info:
I have two IDE controllers, one on the motherboard (pata_via) and one PCI
(pata_cmd64x).  Each controller has one attached disk.

Comment 1 Jeremy Katz 2007-04-30 19:09:12 UTC
Should be fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.